aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/daily-jjb-doc-update/daily-jjb-doc-update.local.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2017-09-18 01:03:12 +0000
committerGerrit Code Review <gerrit@automotivelinux.org>2017-09-18 01:03:12 +0000
commit9d8d1877798b47d9d3a5ce03ff73c159570132e7 (patch)
tree1ad4be47e5ef5fdb0bcf8412a5f35d8466bd2ec2 /jjb/daily-jjb-doc-update/daily-jjb-doc-update.local.sh
parentc03de42226fa655cca3db103b3cdc291b829f405 (diff)
parentb6bb0a798333b70d0a7e5c1f123b666dfa40822c (diff)
Merge "Convert doc site job to jjb"
Diffstat (limited to 'jjb/daily-jjb-doc-update/daily-jjb-doc-update.local.sh')
-rwxr-xr-xjjb/daily-jjb-doc-update/daily-jjb-doc-update.local.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/jjb/daily-jjb-doc-update/daily-jjb-doc-update.local.sh b/jjb/daily-jjb-doc-update/daily-jjb-doc-update.local.sh
new file mode 100755
index 00000000..0ff414bf
--- /dev/null
+++ b/jjb/daily-jjb-doc-update/daily-jjb-doc-update.local.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+#rm -rf docs-agl || true
+# cloning git@github.com:automotive-grade-linux/docs-agl.git
+
+if test -d docs-agl; then
+ pushd docs-agl
+ git remote -v update
+ git reset --hard origin/master
+ popd
+else
+ git clone git@github.com:automotive-grade-linux/docs-agl.git
+fi
+
+pushd docs-agl
+
+ . ../include-doc-update.sh
+
+ pushd webdocs-agl
+
+ ( sleep 7 ; firefox http://127.0.0.1:4000 ) &
+ make serve
+
+ popd
+
+
+popd \ No newline at end of file